FreeBSD : ffmpeg -- multiple vulnerabilities (5ccbb2f8-c798-11e7-a633-009c02a2ab30)

High Nessus Plugin ID 111406

Synopsis

The remote FreeBSD host is missing one or more security-related updates.

Description

MITRE reports :

Multiple vulnerabilities have been found in FFmpeg. Please refer to CVE list for details.

Note: CVE-2017-15186 and CVE-2017-15672 affect only the 3.3 branch before 3.3.5, CVE-2017-16840 and CVE-2017-17081 have been fixed in 3.4.1. They're listed here for completeness of the record.

Solution

Update the affected packages.

See Also

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15186

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15672

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-16840

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17081

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-6392

http://ffmpeg.org/security.html

http://www.nessus.org/u?af28e315

Plugin Details

Severity: High

ID: 111406

File Name: freebsd_pkg_5ccbb2f8c79811e7a633009c02a2ab30.nasl

Version: 1.1

Type: local

Published: 2018/07/30

Modified: 2018/07/30

Dependencies: 12634

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSSv3

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:ffmpeg, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2018/07/27

Vulnerability Publication Date: 2017/10/09

Reference Information

CVE: CVE-2017-15186, CVE-2017-15672, CVE-2017-16840, CVE-2017-17081, CVE-2018-6392